﻿package {
	import flash.display.MovieClip;
	import flash.events.*;
	import flash.geom.Rectangle;


	public class SliderH extends MovieClip {


		public var slideValue: Number = 0;
		//Konstante
		public static const SLD_CHANGE: String = "SliderHEvent_SLD_CHANGE";

		public function SliderH() {
			if (stage) {
				init();
			} else {
				addEventListener(Event.ADDED_TO_STAGE, init);
			}
		}

		private function init(e: Event = null): void {
			slider_btn.addEventListener(MouseEvent.MOUSE_DOWN, startSlide);
			stage.addEventListener(MouseEvent.MOUSE_UP, stopSlide);
			removeEventListener(Event.ADDED_TO_STAGE, init);
			addEventListener(Event.REMOVED_FROM_STAGE, destroy);
		}

		//-----------------------------------------------

		private function destroy(e: Event): void {
			slider_btn.removeEventListener(MouseEvent.MOUSE_DOWN, startSlide);
			removeEventListener(Event.REMOVED_FROM_STAGE, destroy);
			removeEventListener(Event.ENTER_FRAME, showValue);
			stage.removeEventListener(MouseEvent.MOUSE_UP, stopSlide);
		}
	
		public function showValue(evt: Event): void {
			slideValue = Math.floor(slider_btn.x);
			slider_txt.text = String(slideValue) + " kg";
			dispatchEvent(new Event(SLD_CHANGE));
		}

		private function startSlide(evt: MouseEvent): void {
		
			addEventListener(Event.ENTER_FRAME, showValue);
			var rect: Rectangle = new Rectangle(0, 0, 300, 0);
			slider_btn.startDrag(true, rect);
		}

		private function stopSlide(evt: MouseEvent): void {
				slider_btn.stopDrag();
				removeEventListener(Event.ENTER_FRAME, showValue);
					
		}

	}

}